Index: trunk/client/modules/Elezioni/grafici/jpgraph.php
===================================================================
--- trunk/client/modules/Elezioni/grafici/jpgraph.php	(revision 264)
+++ trunk/client/modules/Elezioni/grafici/jpgraph.php	(revision 265)
@@ -3578,216 +3885,271 @@
 // several occasion must know wheter it's an X or Y axis.
 // This was a design decision to make the code easier to
-// follow. 
+// follow.
 //===================================================
 class Axis extends AxisPrototype {
 
-    function Axis($img,$aScale,$color=array(0,0,0)) {
-	parent::Axis($img,$aScale,$color);
-    }
-	
+    function __construct($img,$aScale,$color='black') {
+        parent::__construct($img,$aScale,$color);
+    }
+
     // Stroke the axis.
-    function Stroke($aOtherAxisScale,$aStrokeLabels=true) {		
-	if( $this->hide ) return;		
-	if( is_numeric($this->pos) ) {
-	    $pos=$aOtherAxisScale->Translate($this->pos);
-	}
-	else {	// Default to minimum of other scale if pos not set		
-	    if( ($aOtherAxisScale->GetMinVal() >= 0 && $this->pos==false) || $this->pos=="min" ) {
-		$pos = $aOtherAxisScale->scale_abs[0];
-	    }
-	    elseif($this->pos == "max") {
-		$pos = $aOtherAxisScale->scale_abs[1];
-	    }
-	    else { // If negative set x-axis at 0
-		$this->pos=0;
-		$pos=$aOtherAxisScale->Translate(0);
-	    }
-	}
-	$pos += $this->iDeltaAbsPos;	
-	$this->img->SetLineWeight($this->weight);
-	$this->img->SetColor($this->color);		
-	$this->img->SetFont($this->font_family,$this->font_style,$this->font_size);
-	if( $this->scale->type == "x" ) {
-	    if( !$this->hide_line ) 
-		$this->img->FilledRectangle($this->img->left_margin,$pos,
-					    $this->img->width-$this->img->right_margin,$pos+$this->weight-1);
-	    if( $this->title_side == SIDE_DOWN ) {
-		$y = $pos + $this->img->GetFontHeight() + $this->title_margin + $this->title->margin;
-		$yalign = 'top';
-	    }
-	    else {
-		$y = $pos - $this->img->GetFontHeight() - $this->title_margin - $this->title->margin;
-		$yalign = 'bottom';
-	    }
-
-	    if( $this->title_adjust=='high' )
-		$this->title->SetPos($this->img->width-$this->img->right_margin,$y,'right',$yalign);
-	    elseif( $this->title_adjust=='middle' || $this->title_adjust=='center' ) 
-		$this->title->SetPos(($this->img->width-$this->img->left_margin-$this->img->right_margin)/2+$this->img->left_margin,$y,'center',$yalign);
-	    elseif($this->title_adjust=='low')
-		$this->title->SetPos($this->img->left_margin,$y,'left',$yalign);
-	    else {	
-		JpGraphError::RaiseL(25060,$this->title_adjust);//('Unknown alignment specified for X-axis title. ('.$this->title_adjust.')');
-	    }
-	}
-	elseif( $this->scale->type == "y" ) {
-	    // Add line weight to the height of the axis since
-	    // the x-axis could have a width>1 and we want the axis to fit nicely together.
-	    if( !$this->hide_line ) 
-		$this->img->FilledRectangle($pos-$this->weight+1,$this->img->top_margin,
-					    $pos,$this->img->height-$this->img->bottom_margin+$this->weight-1);
-	    $x=$pos ;
-	    if( $this->title_side == SIDE_LEFT ) {
-		$x -= $this->title_margin;
-		$x -= $this->title->margin;
-		$halign="right";
-	    }
-	    else {
-		$x += $this->title_margin;
-		$x += $this->title->margin;
-		$halign="left";
-	    }
-	    // If the user has manually specified an hor. align
-	    // then we override the automatic settings with this
-	    // specifed setting. Since default is 'left' we compare
-	    // with that. (This means a manually set 'left' align
-	    // will have no effect.)
-	    if( $this->title->halign != 'left' ) 
-		$halign = $this->title->halign;
-	    if( $this->title_adjust=="high" ) 
-		$this->title->SetPos($x,$this->img->top_margin,$halign,"top"); 
-	    elseif($this->title_adjust=="middle" || $this->title_adjust=="center")  
-		$this->title->SetPos($x,($this->img->height-$this->img->top_margin-$this->img->bottom_margin)/2+$this->img->top_margin,$halign,"center");
-	    elseif($this->title_adjust=="low")
-		$this->title->SetPos($x,$this->img->height-$this->img->bottom_margin,$halign,"bottom");
-	    else	
-		JpGraphError::RaiseL(25061,$this->title_adjust);//('Unknown alignment specified for Y-axis title. ('.$this->title_adjust.')');
-		
-	}
-	$this->scale->ticks->Stroke($this->img,$this->scale,$pos);
-	if( $aStrokeLabels ) {
-	    if( !$this->hide_labels )
-		$this->StrokeLabels($pos);
-	    $this->title->Stroke($this->img);
-	}
-    }
-
-//---------------
-// PRIVATE METHODS	
+    function Stroke($aOtherAxisScale,$aStrokeLabels=true) {
+        if( $this->hide )
+            return;
+        if( is_numeric($this->pos) ) {
+            $pos=$aOtherAxisScale->Translate($this->pos);
+        }
+        else { // Default to minimum of other scale if pos not set
+            if( ($aOtherAxisScale->GetMinVal() >= 0 && $this->pos==false) || $this->pos == 'min' ) {
+                $pos = $aOtherAxisScale->scale_abs[0];
+            }
+            elseif($this->pos == "max") {
+                $pos = $aOtherAxisScale->scale_abs[1];
+            }
+            else { // If negative set x-axis at 0
+                $this->pos=0;
+                $pos=$aOtherAxisScale->Translate(0);
+            }
+        }
+
+        $pos += $this->iDeltaAbsPos;
+        $this->img->SetLineWeight($this->weight);
+        $this->img->SetColor($this->color);
+        $this->img->SetFont($this->font_family,$this->font_style,$this->font_size);
+
+        if( $this->scale->type == "x" ) {
+            if( !$this->hide_line ) {
+                // Stroke X-axis
+                $this->img->FilledRectangle(
+                    $this->img->left_margin,
+                    $pos,
+                    $this->img->width - $this->img->right_margin,
+                    $pos + $this->weight-1
+                );
+            }
+            if( $this->title_side == SIDE_DOWN ) {
+                $y = $pos + $this->img->GetFontHeight() + $this->title_margin + $this->title->margin;
+                $yalign = 'top';
+            }
+            else {
+                $y = $pos - $this->img->GetFontHeight() - $this->title_margin - $this->title->margin;
+                $yalign = 'bottom';
+            }
+
+            if( $this->title_adjust=='high' ) {
+                $this->title->SetPos($this->img->width-$this->img->right_margin,$y,'right',$yalign);
+            }
+            elseif( $this->title_adjust=='middle' || $this->title_adjust=='center' ) {
+                $this->title->SetPos(($this->img->width-$this->img->left_margin-$this->img->right_margin)/2+$this->img->left_margin,$y,'center',$yalign);
+            }
+            elseif($this->title_adjust=='low') {
+                $this->title->SetPos($this->img->left_margin,$y,'left',$yalign);
+            }
+            else {
+                JpGraphError::RaiseL(25060,$this->title_adjust);//('Unknown alignment specified for X-axis title. ('.$this->title_adjust.')');
+            }
+        }
+        elseif( $this->scale->type == "y" ) {
+            // Add line weight to the height of the axis since
+            // the x-axis could have a width>1 and we want the axis to fit nicely together.
+            if( !$this->hide_line ) {
+                // Stroke Y-axis
+                $this->img->FilledRectangle(
+                    $pos - $this->weight + 1, 
+                    $this->img->top_margin,
+                    $pos,
+                    $this->img->height - $this->img->bottom_margin + $this->weight - 1
+                );
+            }
+
+            $x=$pos ;
+            if( $this->title_side == SIDE_LEFT ) {
+                $x -= $this->title_margin;
+                $x -= $this->title->margin;
+                $halign = 'right';
+            }
+            else {
+                $x += $this->title_margin;
+                $x += $this->title->margin;
+                $halign = 'left';
+            }
+            // If the user has manually specified an hor. align
+            // then we override the automatic settings with this
+            // specifed setting. Since default is 'left' we compare
+            // with that. (This means a manually set 'left' align
+            // will have no effect.)
+            if( $this->title->halign != 'left' ) {
+                $halign = $this->title->halign;
+            }
+            if( $this->title_adjust == 'high' ) {
+                $this->title->SetPos($x,$this->img->top_margin,$halign,'top');
+            }
+            elseif($this->title_adjust=='middle' || $this->title_adjust=='center') {
+                $this->title->SetPos($x,($this->img->height-$this->img->top_margin-$this->img->bottom_margin)/2+$this->img->top_margin,$halign,"center");
+            }
+            elseif($this->title_adjust=='low') {
+                $this->title->SetPos($x,$this->img->height-$this->img->bottom_margin,$halign,'bottom');
+            }
+            else {
+                JpGraphError::RaiseL(25061,$this->title_adjust);//('Unknown alignment specified for Y-axis title. ('.$this->title_adjust.')');
+            }
+        }
+        $this->scale->ticks->Stroke($this->img,$this->scale,$pos);
+        if( $aStrokeLabels ) {
+            if( !$this->hide_labels ) {
+                $this->StrokeLabels($pos);
+            }
+            $this->title->Stroke($this->img);
+        }
+    }
+
+    //---------------
+    // PRIVATE METHODS
     // Draw all the tick labels on major tick marks
     function StrokeLabels($aPos,$aMinor=false,$aAbsLabel=false) {
 
-	$this->img->SetColor($this->label_color);
-	$this->img->SetFont($this->font_family,$this->font_style,$this->font_size);
-	$yoff=$this->img->GetFontHeight()/2;
-
-	// Only draw labels at major tick marks
-	$nbr = count($this->scale->ticks->maj_ticks_label);
-
-	// We have the option to not-display the very first mark
-	// (Usefull when the first label might interfere with another
-	// axis.)
-	$i = $this->show_first_label ? 0 : 1 ;
-	if( !$this->show_last_label ) --$nbr;
-	// Now run through all labels making sure we don't overshoot the end
-	// of the scale.	
-	$ncolor=0;
-	if( isset($this->ticks_label_colors) )
-	    $ncolor=count($this->ticks_label_colors);
-	while( $i<$nbr ) {
-	    // $tpos holds the absolute text position for the label
-	    $tpos=$this->scale->ticks->maj_ticklabels_pos[$i];
-
-	    // Note. the $limit is only used for the x axis since we
-	    // might otherwise overshoot if the scale has been centered
-	    // This is due to us "loosing" the last tick mark if we center.
-	    if( $this->scale->type=="x" && $tpos > $this->img->width-$this->img->right_margin+1 ) {
-	    	return; 
-	    }
-	    // we only draw every $label_step label
-	    if( ($i % $this->label_step)==0 ) {
-
-		// Set specific label color if specified
-		if( $ncolor > 0 )
-		    $this->img->SetColor($this->ticks_label_colors[$i % $ncolor]);
-		
-		// If the label has been specified use that and in other case
-		// just label the mark with the actual scale value 
-		$m=$this->scale->ticks->GetMajor();
-				
-		// ticks_label has an entry for each data point and is the array
-		// that holds the labels set by the user. If the user hasn't 
-		// specified any values we use whats in the automatically asigned
-		// labels in the maj_ticks_label
-		if( isset($this->ticks_label[$i*$m]) )
-		    $label=$this->ticks_label[$i*$m];
-		else {
-		    if( $aAbsLabel ) 
-			$label=abs($this->scale->ticks->maj_ticks_label[$i]);
-		    else
-			$label=$this->scale->ticks->maj_ticks_label[$i];
-		    if( $this->scale->textscale && $this->scale->ticks->label_formfunc == '' ) {
-			++$label;
-		    }
-		}
-					
-		if( $this->scale->type == "x" ) {
-		    if( $this->labelPos == SIDE_DOWN ) {
-			if( $this->label_angle==0 || $this->label_angle==90 ) {
-			    if( $this->label_halign=='' && $this->label_valign=='')
-				$this->img->SetTextAlign('center','top');
-			    else
-			    	$this->img->SetTextAlign($this->label_halign,$this->label_valign);
-			    
-			}
-			else {
-			    if( $this->label_halign=='' && $this->label_valign=='')
-				$this->img->SetTextAlign("right","top");
-			    else
-				$this->img->SetTextAlign($this->label_halign,$this->label_valign);
-			}
-			$this->img->StrokeText($tpos,$aPos+$this->tick_label_margin+1,$label,
-					       $this->label_angle,$this->label_para_align);
-		    }
-		    else {
-			if( $this->label_angle==0 || $this->label_angle==90 ) {
-			    if( $this->label_halign=='' && $this->label_valign=='')
-				$this->img->SetTextAlign("center","bottom");
-			    else
-			    	$this->img->SetTextAlign($this->label_halign,$this->label_valign);
-			}
-			else {
-			    if( $this->label_halign=='' && $this->label_valign=='')
-				$this->img->SetTextAlign("right","bottom");
-			    else
-			    	$this->img->SetTextAlign($this->label_halign,$this->label_valign);
-			}
-			$this->img->StrokeText($tpos,$aPos-$this->tick_label_margin-1,$label,
-					       $this->label_angle,$this->label_para_align);
-		    }
-		}
-		else {
-		    // scale->type == "y"
-		    //if( $this->label_angle!=0 ) 
-		    //JpGraphError::Raise(" Labels at an angle are not supported on Y-axis");
-		    if( $this->labelPos == SIDE_LEFT ) { // To the left of y-axis					
-			if( $this->label_halign=='' && $this->label_valign=='')	
-			    $this->img->SetTextAlign("right","center");
-			else
-			    $this->img->SetTextAlign($this->label_halign,$this->label_valign);
-			$this->img->StrokeText($aPos-$this->tick_label_margin,$tpos,$label,$this->label_angle,$this->label_para_align);	
-		    }
-		    else { // To the right of the y-axis
-			if( $this->label_halign=='' && $this->label_valign=='')	
-			    $this->img->SetTextAlign("left","center");
-			else
-			    $this->img->SetTextAlign($this->label_halign,$this->label_valign);
-			$this->img->StrokeText($aPos+$this->tick_label_margin,$tpos,$label,$this->label_angle,$this->label_para_align);	
-		    }
-		}
-	    }
-	    ++$i;	
-	}								
-    }			    
+        if( is_array($this->label_color) && count($this->label_color) > 3 ) {
+            $this->ticks_label_colors = $this->label_color;
+            $this->img->SetColor($this->label_color[0]);
+        }
+        else {
+            $this->img->SetColor($this->label_color);
+        }
+        $this->img->SetFont($this->font_family,$this->font_style,$this->font_size);
+        $yoff=$this->img->GetFontHeight()/2;
+
+        // Only draw labels at major tick marks
+        $nbr = count($this->scale->ticks->maj_ticks_label);
+
+        // We have the option to not-display the very first mark
+        // (Usefull when the first label might interfere with another
+        // axis.)
+        $i = $this->show_first_label ? 0 : 1 ;
+        if( !$this->show_last_label ) {
+            --$nbr;
+        }
+        // Now run through all labels making sure we don't overshoot the end
+        // of the scale.
+        $ncolor=0;
+        if( isset($this->ticks_label_colors) ) {
+            $ncolor=count($this->ticks_label_colors);
+        }
+        while( $i < $nbr ) {
+            // $tpos holds the absolute text position for the label
+            $tpos=$this->scale->ticks->maj_ticklabels_pos[$i];
+
+            // Note. the $limit is only used for the x axis since we
+            // might otherwise overshoot if the scale has been centered
+            // This is due to us "loosing" the last tick mark if we center.
+            if( $this->scale->type == 'x' && $tpos > $this->img->width-$this->img->right_margin+1 ) {
+                return;
+            }
+            // we only draw every $label_step label
+            if( ($i % $this->label_step)==0 ) {
+
+                // Set specific label color if specified
+                if( $ncolor > 0 ) {
+                    $this->img->SetColor($this->ticks_label_colors[$i % $ncolor]);
+                }
+
+                // If the label has been specified use that and in other case
+                // just label the mark with the actual scale value
+                $m=$this->scale->ticks->GetMajor();
+
+                // ticks_label has an entry for each data point and is the array
+                // that holds the labels set by the user. If the user hasn't
+                // specified any values we use whats in the automatically asigned
+                // labels in the maj_ticks_label
+                if( isset($this->ticks_label[$i*$m]) ) {
+                    $label=$this->ticks_label[$i*$m];
+                }
+                else {
+                    if( $aAbsLabel ) {
+                        $label=abs($this->scale->ticks->maj_ticks_label[$i]);
+                    }
+                    else {
+                        $label=$this->scale->ticks->maj_ticks_label[$i];
+                    }
+
+                    // We number the scale from 1 and not from 0 so increase by one
+                    if( $this->scale->textscale && 
+                        $this->scale->ticks->label_formfunc == '' &&
+                        ! $this->scale->ticks->HaveManualLabels() ) {
+
+                        ++$label;
+                        
+                    }
+                }
+
+                if( $this->scale->type == "x" ) {
+                    if( $this->labelPos == SIDE_DOWN ) {
+                        if( $this->label_angle==0 || $this->label_angle==90 ) {
+                            if( $this->label_halign=='' && $this->label_valign=='') {
+                                $this->img->SetTextAlign('center','top');
+                            }
+                            else {
+                                $this->img->SetTextAlign($this->label_halign,$this->label_valign);
+                            }
+
+                        }
+                        else {
+                            if( $this->label_halign=='' && $this->label_valign=='') {
+                                $this->img->SetTextAlign("right","top");
+                            }
+                            else {
+                                $this->img->SetTextAlign($this->label_halign,$this->label_valign);
+                            }
+                        }
+                        $this->img->StrokeText($tpos,$aPos+$this->tick_label_margin,$label,
+                        $this->label_angle,$this->label_para_align);
+                    }
+                    else {
+                        if( $this->label_angle==0 || $this->label_angle==90 ) {
+                            if( $this->label_halign=='' && $this->label_valign=='') {
+                                $this->img->SetTextAlign("center","bottom");
+                            }
+                            else {
+                                $this->img->SetTextAlign($this->label_halign,$this->label_valign);
+                            }
+                        }
+                        else {
+                            if( $this->label_halign=='' && $this->label_valign=='') {
+                                $this->img->SetTextAlign("right","bottom");
+                            }
+                            else {
+                                $this->img->SetTextAlign($this->label_halign,$this->label_valign);
+                            }
+                        }
+                        $this->img->StrokeText($tpos,$aPos-$this->tick_label_margin-1,$label,
+                        $this->label_angle,$this->label_para_align);
+                    }
+                }
+                else {
+                    // scale->type == "y"
+                    //if( $this->label_angle!=0 )
+                    //JpGraphError::Raise(" Labels at an angle are not supported on Y-axis");
+                    if( $this->labelPos == SIDE_LEFT ) { // To the left of y-axis
+                        if( $this->label_halign=='' && $this->label_valign=='') {
+                            $this->img->SetTextAlign("right","center");
+                        }
+                        else {
+                            $this->img->SetTextAlign($this->label_halign,$this->label_valign);
+                        }
+                        $this->img->StrokeText($aPos-$this->tick_label_margin,$tpos,$label,$this->label_angle,$this->label_para_align);
+                    }
+                    else { // To the right of the y-axis
+                        if( $this->label_halign=='' && $this->label_valign=='') {
+                            $this->img->SetTextAlign("left","center");
+                        }
+                        else {
+                            $this->img->SetTextAlign($this->label_halign,$this->label_valign);
+                        }
+                        $this->img->StrokeText($aPos+$this->tick_label_margin,$tpos,$label,$this->label_angle,$this->label_para_align);
+                    }
+                }
+            }
+            ++$i;
+        }
+    }
 
 }
@@ -3805,6 +4167,6 @@
     public $direction=1; // Should ticks be in(=1) the plot area or outside (=-1)
     public $supress_last=false,$supress_tickmarks=false,$supress_minor_tickmarks=false;
-    public $maj_ticks_pos = array(), $maj_ticklabels_pos = array(), 
-	   $ticks_pos = array(), $maj_ticks_label = array();
+    public $maj_ticks_pos = array(), $maj_ticklabels_pos = array(),
+           $ticks_pos = array(), $maj_ticks_label = array();
     public $precision;
 
@@ -3813,112 +4175,102 @@
     protected $is_set=false;
     protected $supress_zerolabel=false,$supress_first=false;
-    protected $mincolor="",$majcolor="";
+    protected $mincolor='',$majcolor='';
     protected $weight=1;
     protected $label_usedateformat=FALSE;
 
-//---------------
-// CONSTRUCTOR
-    function Ticks($aScale) {
-	$this->scale=$aScale;
-	$this->precision = -1;
-    }
-
-//---------------
-// PUBLIC METHODS	
+    function __construct($aScale) {
+        $this->scale=$aScale;
+        $this->precision = -1;
+    }
+
     // Set format string for automatic labels
     function SetLabelFormat($aFormatString,$aDate=FALSE) {
-	$this->label_formatstr=$aFormatString;
-	$this->label_usedateformat=$aDate;
-    }
-	
+        $this->label_formatstr=$aFormatString;
+        $this->label_usedateformat=$aDate;
+    }
+
     function SetLabelDateFormat($aFormatString) {
-	$this->label_dateformatstr=$aFormatString;
-    }
-	
+        $this->label_dateformatstr=$aFormatString;
+    }
+
     function SetFormatCallback($aCallbackFuncName) {
-	$this->label_formfunc = $aCallbackFuncName;
-    }
-	
+        $this->label_formfunc = $aCallbackFuncName;
+    }
+
     // Don't display the first zero label
     function SupressZeroLabel($aFlag=true) {
-	$this->supress_zerolabel=$aFlag;
-    }
-	
+        $this->supress_zerolabel=$aFlag;
+    }
+
     // Don't display minor tick marks
     function SupressMinorTickMarks($aHide=true) {
-	$this->supress_minor_tickmarks=$aHide;
-    }
-	
+        $this->supress_minor_tickmarks=$aHide;
+    }
+
     // Don't display major tick marks
     function SupressTickMarks($aHide=true) {
-	$this->supress_tickmarks=$aHide;
-    }
-	
+        $this->supress_tickmarks=$aHide;
+    }
+
     // Hide the first tick mark
     function SupressFirst($aHide=true) {
-	$this->supress_first=$aHide;
-    }
-	
+        $this->supress_first=$aHide;
+    }
+
     // Hide the last tick mark
     function SupressLast($aHide=true) {
-	$this->supress_last=$aHide;
+        $this->supress_last=$aHide;
     }
 
     // Size (in pixels) of minor tick marks
     function GetMinTickAbsSize() {
-	return $this->minor_abs_size;
-    }
-	
+        return $this->minor_abs_size;
+    }
+
     // Size (in pixels) of major tick marks
     function GetMajTickAbsSize() {
-	return $this->major_abs_size;		
-    }
-	
+        return $this->major_abs_size;
+    }
+
     function SetSize($aMajSize,$aMinSize=3) {
-	$this->major_abs_size = $aMajSize;		
-	$this->minor_abs_size = $aMinSize;		
+        $this->major_abs_size = $aMajSize;
+        $this->minor_abs_size = $aMinSize;
     }
 
     // Have the ticks been specified
     function IsSpecified() {
-	return $this->is_set;
-    }
-		
-    // Specify number of decimals in automatic labels
-    // Deprecated from 1.4. Use SetFormatString() instead
-    function SetPrecision($aPrecision) { 	
-    	if( ERR_DEPRECATED )
-	    JpGraphError::RaiseL(25063);//('Ticks::SetPrecision() is deprecated. Use Ticks::SetLabelFormat() (or Ticks::SetFormatCallback()) instead');
-	$this->precision=$aPrecision;
+        return $this->is_set;
     }
 
     function SetSide($aSide) {
-	$this->direction=$aSide;
-    }
-	
+        $this->direction=$aSide;
+    }
+
     // Which side of the axis should the ticks be on
     function SetDirection($aSide=SIDE_RIGHT) {
-	$this->direction=$aSide;
-    }
-	
+        $this->direction=$aSide;
+    }
+
     // Set colors for major and minor tick marks
-    function SetMarkColor($aMajorColor,$aMinorColor="") {
-	$this->SetColor($aMajorColor,$aMinorColor);
-    }
-    
-    function SetColor($aMajorColor,$aMinorColor="") {
-	$this->majcolor=$aMajorColor;
-		
-	// If not specified use same as major
-	if( $aMinorColor=="" ) 
-	    $this->mincolor=$aMajorColor;
-	else
-	    $this->mincolor=$aMinorColor;
-    }
-	
+    function SetMarkColor($aMajorColor,$aMinorColor='') {
+        $this->SetColor($aMajorColor,$aMinorColor);
+    }
+
+    function SetColor($aMajorColor,$aMinorColor='') {
+        $this->majcolor=$aMajorColor;
+
+        // If not specified use same as major
+        if( $aMinorColor == '' ) {
+            $this->mincolor=$aMajorColor;
+        }
+        else {
+            $this->mincolor=$aMinorColor;
+        }
+    }
+
     function SetWeight($aWeight) {
-	$this->weight=$aWeight;
-    }
-	
+        $this->weight=$aWeight;
+    }
+
 } // Class
 
